Package tigase.io

## Class CertFilesTrustManager

- java.lang.Object
- - tigase.io.CertFilesTrustManager

- All Implemented Interfaces:
    `javax.net.ssl.TrustManager`, `javax.net.ssl.X509TrustManager`

      public class CertFilesTrustManager
      extends java.lang.Object
      implements javax.net.ssl.X509TrustManager

  Class CertFilesTrustManager
  Version:
    $Rev: $
  Author:
    Bartosz Malkowski

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkClientTrusted​(java.security.cert.X509Certificate[] chain, java.lang.String authType)` |
    `void` | `checkServerTrusted​(java.security.cert.X509Certificate[] chain, java.lang.String authType)` |
    `java.security.cert.X509Certificate[]` | `getAcceptedIssuers()` |
    `static CertFilesTrustManager` | `getInstance​(java.lang.String pathToCertsFiles)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static CertFilesTrustManager getInstance​(java.lang.String pathToCertsFiles)
                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### checkClientTrusted

          public void checkClientTrusted​(java.security.cert.X509Certificate[] chain,
                                         java.lang.String authType)
                                  throws java.security.cert.CertificateException

      Specified by:
        `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`
      Throws:
        `java.security.cert.CertificateException`

    - #### checkServerTrusted

          public void checkServerTrusted​(java.security.cert.X509Certificate[] chain,
                                         java.lang.String authType)
                                  throws java.security.cert.CertificateException

      Specified by:
        `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`
      Throws:
        `java.security.cert.CertificateException`

    - #### getAcceptedIssuers

          public java.security.cert.X509Certificate[] getAcceptedIssuers()

      Specified by:
        `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`